const { registerPaymentMethod } = window.wc.blocksRegistry;
const { __ } = window.wp.i18n;
const { createElement } = window.wp.element;

const contentElement =
  createElement(
    'div',
    {},
    createElement('p', {}, __('Pay via EMT. You will receive instructions after placing the order.', 'advanced-emt-payment-gateway'))
  );

registerPaymentMethod({
  name: 'advanced_emt',
  label: __('Email Money Transfer', 'advanced-emt-payment-gateway'),
  ariaLabel: __('Email Money Transfer', 'advanced-emt-payment-gateway'),
  content: contentElement,
  edit: contentElement,
  canMakePayment: () => true,
  supports: {
    features: ['products']
  }
});
